Mailinglist Archive: opensuse (1420 mails)

< Previous Next >
Re: [opensuse] Strange error when attempting to upgrade system.
On Wed, Jan 8, 2014 at 11:03 AM, David Haller <dnh@xxxxxxxxxxxx> wrote:
On Mon, 06 Jan 2014, Carlos E. R. wrote:
On 2014-01-06 16:53, Cristian Rodríguez wrote:
El 06/01/14 10:45, Carlos E. R. escribió:
On 2014-01-06 06:49, Andrey Borzenkov wrote:

Does 11.4 have /etc/os-release?

It should not look for that file.

Yes, it should, os-release replaces the old method..the only
supported upgrade path is from 12.3, anything else assumes that you
know exactly what you are doing.

Wrong.

The "zypper dup" method supports only the previous version.

Wrong. BTDT. e.g. 12.1->12.3, 11.2(32bit)->11.4(64bit) ... I might try
12.1->13.1 ;)

13.1 has at least 2 known packages that you need to have patched prior
to zypper dup from 12.3.

So, at least for me, and definitely for Evergreen official, zypper dup
to 13.1 should be proceeded by updating to 12.3 and running "zypper
patch".

Given the logical distance from 11.4 to 13.1, I don't even know if I
would try a direct upgrade via DVD.

Greg

--
Greg Freemyer
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups